/*
 * @Description: In User Settings Edit
 * @Author: your name
 * @Date: 2019-09-24 12:34:06
 * @LastEditTime: 2019-10-24 16:52:41
 * @LastEditors: Please set LastEditors
 */
import Vue from 'vue'
import Router from 'vue-router'

import Guide from '@/pages/guide/guide'
import Login from '@/pages/login'
import Regiester from '@/pages/regiester'
import PwdForgot from '@/pages/pwd-forgotten'
import FingerLogin from '@/pages/finger-login'
import Home from '@/pages/home'
import Tab from '@/pages/tab'
import HomePage from '@/pages/home/home-page'
// 定位
import Location from '@/pages/home/location'

// 我的
import MyInfo from '@/pages/myInfo/my-info'
// 我的收藏
import MyProductList from '@/pages/myProductCollection/my-product-list'

// test工具类
import HlsPopup from '@/pages/hlsPopup'

// 用户绑定
import UserBind from '@/pages/userBind/userBind'
import NaturePerson from '@/pages/userBind/np/naturePerson'
import Enterprise from '@/pages/userBind/org/enterprise'
// 进件审批
import Base from '@/pages/intoApproval/intoApproval/base'
import IntoList from '@/pages/intoApproval/intoList'
import Refund from '@/pages/intoApproval/intoApproval/refund'
// 经销商签约
import ContractList from '@/pages/distributorSign/contract-list'
import ContractDetails from '@/pages/distributorSign/contract-details'
import FinancDetails from '@/pages/distributorSign/financ-details' // 还款计划
// 融资试算
import FinancingTrial from '@/pages/financingTrial/financing-trial'
import FinancingDetails from '@/pages/financingTrial/financing-details' // 融资明细
// 合同签约
import ContractSigning from '../pages/contractSigning/contract-signing'
import ContractDetail from '@/pages/ContractSigning/contract-detail'
import ContractContent from '@/pages/ContractSigning/contract-content'
import EntryInfo from '@/pages/ContractSigning/entry-info'
// 首付款支付
import FirstPay from '../pages/pay/firstPay/first-pay'
import PayEntry from '@/pages/pay/firstPay/pay-entry'
import ContractRecord from '@/pages/pay/firstPay/contract-record'
import Success from '@/pages/pay/success'
// 款项支付
import PaymentFirstPay from '@/pages/pay/payment/first-pay'
import PaymentPayEntry from '@/pages/pay/payment/pay-entry'
import PaymentContractRecord from '@/pages/pay/payment/contract-record'
// 保证金支付
import MarginFirstPay from '@/pages/pay/marginPay/first-pay'
import MarginPayEntry from '@/pages/pay/marginPay/pay-entry'
// 产品查询
import QueryHome from '@/pages/productQuery/query-home'
import ProDetailed from '@/pages/productQuery/product-detailed'
// 消息中心
import InfoCenter from '@/pages/infoCenter/infoList'
import ProductList from '@/pages/productQuery/product-list'
// 帮助与反馈
import HelpList from '@/pages/help/helpList'

import HelpDetail from '@/pages/help/detail'
import HelpFeedback from '@/pages/help/feedback'
// 我的还款
import ReimburseMyselfList from '@/pages/reimburseMyself/reimburse-myself-list'
import ReimburseDetail from '@/pages/reimburseMyself/reimburse-detail'

// 合同还款
import ContractRepayment from '@/pages/contractRepayment/contract-repayment'
import RepayDetails from '@/pages/contractRepayment/repay-details'
import RepayPlan from '@/pages/contractRepayment/repay-plan'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      redirect: to => {
        return {name: 'Login'}
      /*  if (!window.localStorage.needGuid || window.localStorage.needGuid === 'true') {
          return {name: 'Guide'}
        } else {
          if (window.localStorage.isOpenFingerLogin) {
            return {name: 'FingerLogin'}
          } else {
            // if none of the above states are matched, use this as the fallback
            return {name: 'Login'}
          }
        } */
      },
    },
    {
      path: '/tab',
      component: Tab,
      name: 'Tab',
      redirect: '/tab/home-page',
      meta: {keepAlive: true},
      children: [
        {path: '/tab/home-page', component: HomePage, name: 'HomePage', meta: {keepAlive: false}},
        {path: '/tab/my-info', component: MyInfo, name: 'MyInfo', meta: {keepAlive: true}},
        {path: '/tab/info-center', component: InfoCenter, name: 'InfoCenter', meta: {keepAlive: true}},
      ],
    },

    {
      path: '/home-page',
      component: HomePage,
      name: 'HomePage',
      meta: {keepAlive: false},
    },
    {
      path: '/location',
      component: Location,
      name: 'Location',
      meta: {keepAlive: false},
    },

    {
      path: '/guide',
      component: Guide,
      name: 'Guide',
      meta: {keepAlive: true},
    },
    {
      path: '/login',
      component: Login,
      name: 'Login',
      meta: {keepAlive: true},
    },
    {
      path: '/regiester',
      component: Regiester,
      name: 'Regiester',
      meta: {keepAlive: false},
    },
    {
      path: '/finger-login',
      component: FingerLogin,
      name: 'FingerLogin',
      meta: {keepAlive: true},
    },
    {path: '/pwd-forgot', component: PwdForgot, name: 'PwdForgot', meta: {keepAlive: true}},

    // test工具类
    {path: '/hls-popup', component: HlsPopup, name: 'HlsPopup', meta: {keepAlive: false}},
    // 用户绑定
    {path: '/user-bind', component: UserBind, name: 'UserBind', meta: {keepAlive: false}},
    {path: '/nature-person', component: NaturePerson, name: 'NaturePerson', meta: {keepAlive: false}},
    {path: '/enterprise', component: Enterprise, name: 'Enterprise', meta: {keepAlive: false}},
    // 进件审批
    {path: '/base', component: Base, name: 'Base', meta: {keepAlive: false}},
    {path: '/refund', component: Refund, name: 'Refund', meta: {keepAlive: false}},
    {path: '/intoList', component: IntoList, name: 'IntoList', meta: {keepAlive: false}},
    // 经销商签约
    {path: '/contract-list', component: ContractList, name: 'ContractList', meta: {keepAlive: false}},
    {path: '/contract-details', component: ContractDetails, name: 'ContractDetails', meta: {keepAlive: false}},
    {path: '/financ-details', component: FinancDetails, name: 'FinancDetails', meta: {keepAlive: false}},
    // 试算
    {path: '/financing-trial', component: FinancingTrial, name: 'FinancingTrial', meta: {keepAlive: true}},
    {path: '/financing-details', component: FinancingDetails, name: 'FinancingDetails', meta: {keepAlive: false}},
    // 合同签约
    {path: '/contract-signing', component: ContractSigning, name: 'ContractSigning', meta: {keepAlive: true}},
    {path: '/contract-detail', component: ContractDetail, name: 'ContractDetail', meta: {keepAlive: true}},
    {path: '/contract-content', component: ContractContent, name: 'ContractContent', meta: {keepAlive: true}},
    {path: '/entry-info', component: EntryInfo, name: 'EntryInfo', meta: {keepAlive: true}},
    // 首付款支付
    {path: '/first-pay', component: FirstPay, name: 'FirstPay', meta: {keepAlive: true}},
    {path: '/pay-entry', component: PayEntry, name: 'PayEntry', meta: {keepAlive: true}},
    {path: '/contract-record', component: ContractRecord, name: 'ContractRecord', meta: {keepAlive: true}},
    {path: '/success', component: Success, name: 'Success', meta: {keepAlive: false}},
    // 款项支付
    {path: '/payment-first-pay', component: PaymentFirstPay, name: 'PaymentFirstPay', meta: {keepAlive: true}},
    {path: '/payment-pay-entry', component: PaymentPayEntry, name: 'PaymentPayEntry', meta: {keepAlive: false}},
    {path: '/payment-contract-record', component: PaymentContractRecord, name: 'PaymentContractRecord', meta: {keepAlive: true}},
    // 保证金支付
    {path: '/margin-first-pay', component: MarginFirstPay, name: 'MarginFirstPay', meta: {keepAlive: true}},
    {path: '/margin-pay-entry', component: MarginPayEntry, name: 'MarginPayEntry', meta: {keepAlive: true}},
    // 产品查询
    {path: '/query-home', component: QueryHome, name: 'QueryHome', meta: {keepAlive: true}},
    {path: '/product-detailed', component: ProDetailed, name: 'ProDetailed', meta: {keepAlive: true}},
    {path: '/product-list', component: ProductList, name: 'ProductList', meta: {keepAlive: true}},
    // 帮助与反馈
    {path: '/help-list', component: HelpList, name: 'HelpList', meta: {keepAlive: true}},
    {path: '/help-detail', component: HelpDetail, name: 'HelpDetail', meta: {keepAlive: true}},
    {path: '/help-feedback', component: HelpFeedback, name: 'HelpFeedback', meta: {keepAlive: true}},
    // 我的还款
    {path: '/reimburse-myself-list', component: ReimburseMyselfList, name: 'ReimburseMyselfList', meta: {keepAlive: true}},
    {path: '/reimburse-detail', component: ReimburseDetail, name: 'ReimburseDetail', meta: {keepAlive: false}},
    // 我的收藏
    {path: '/my-product-list', component: MyProductList, name: 'MyProductList', meta: {keepAlive: true}},
    // 合同还款
    {path: '/contract-repayment', component: ContractRepayment, name: 'ContractRepayment', meta: {keepAlive: true}},
    {path: '/repay-details', component: RepayDetails, name: 'RepayDetails', meta: {keepAlive: true}},
    {path: '/repay-plan', component: RepayPlan, name: 'RepayPlan', meta: {keepAlive: true}},

  ],
  scrollBehavior (to, from, savedPosition) {
    if (to.hash) {
      return {
        selector: to.hash,
      }
    }
  },
})
